icu::Locale::ConvertingIterator< Iter, Conv > Class Template Reference

A generic Locale iterator implementation over Locale input iterators. More...

`#include <locid.h>`

Inheritance diagram for icu::Locale::ConvertingIterator< Iter, Conv >:

## Public Member Functions

| ConvertingIterator (Iter begin, Iter end, Conv converter)
| Constructs an iterator from a begin/end range. More...
UBool | hasNext () const override
const Locale & | next () override
Public Member Functions inherited from icu::Locale::Iterator
virtual | ~Iterator ()

## Detailed Description

### template<typename Iter, typename Conv>
class icu::Locale::ConvertingIterator< Iter, Conv >

A generic Locale iterator implementation over Locale input iterators.

Calls the converter to convert each *begin to a const Locale &.

Stable:
  ICU 65

Definition at line 1077 of file locid.h.

## Constructor & Destructor Documentation

## ConvertingIterator()

template<typename Iter , typename Conv >

icu::Locale::ConvertingIterator< Iter, Conv >::ConvertingIterator | ( | Iter | begin,
|  | Iter | end,
|  | Conv | converter
| ) |  |

inline

Constructs an iterator from a begin/end range.

Each of the iterator parameter values must be an input iterator whose value the converter converts to const Locale &.

Parameters

  begin | Start of range.
  end | Exclusive end of range.
  converter | Converter from *begin to const Locale & or compatible.

Stable:
  ICU 65

Definition at line 1089 of file locid.h.

## Member Function Documentation

## hasNext()

template<typename Iter , typename Conv >

UBool icu::Locale::ConvertingIterator< Iter, Conv >::hasNext | ( |  | ) | const

inlineoverridevirtual

Returns
  true if next() can be called again.

Stable:
  ICU 65

Implements icu::Locale::Iterator.

Definition at line 1096 of file locid.h.

## next()

template<typename Iter , typename Conv >

const Locale& icu::Locale::ConvertingIterator< Iter, Conv >::next | ( |  | ) |

inlineoverridevirtual

Returns
  the next locale.

Stable:
  ICU 65

Implements icu::Locale::Iterator.

Definition at line 1102 of file locid.h.

The documentation for this class was generated from the following file:

- common/unicode/locid.h